#### D.6.13.6 spectrum

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  spectrum(t); poly t

Assume:
  characteristic 0; local degree ordering;
  isolated critical point 0 of t

Return:

      list sp;  singularity spectrum of t
        ideal sp[1];
          number sp[1][i];  i-th spectral number
        intvec sp[2];
          int sp[2][i];  multiplicity of i-th spectral number

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    poly t=x5+x2y2+y5;
    spprint(spectrum(t));
    ==> (-1/2,1),(-3/10,2),(-1/10,2),(0,1),(1/10,2),(3/10,2),(1/2,1)

See also: spectrum_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.